## org.eclipse.datatools.connectivity.oda.design
Interface ParameterDefinition

public interface ParameterDefinition

Top-level parameter definition. Parameter could be scalar or complex type.

The following features are supported:

- `In Out Mode`
- `Attributes`
- `Input Attributes`
- `Output Usage Hints`
- `Fields`

See Also:
  `DesignPackage.getParameterDefinition()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`DataElementAttributes` `getAttributes()` Returns the value of the 'Attributes' containment reference.
`ParameterFields` `getFields()` Returns the value of the 'Fields' containment reference.
`ParameterMode` `getInOutMode()` Returns the value of the 'In Out Mode' attribute.
`InputParameterAttributes` `getInputAttributes()` Returns the value of the 'Input Attributes' containment reference.
`OutputElementAttributes` `getOutputUsageHints()` Returns the value of the 'Output Usage Hints' containment reference.
`boolean` `isInput()` Indicates whether this parameter is defined to take input value.
`boolean` `isOutput()` Indicates whether this parameter is defined to have output value.
`boolean` `isScalar()` Indicates whether this is a scalar parameter.
`boolean` `isSetInOutMode()` Returns whether the value of the '`In Out Mode`' attribute is set.
`void` `setAttributes(DataElementAttributes value)` Sets the value of the '`Attributes`' containment reference.
`void` `setFields(ParameterFields value)` Sets the value of the '`Fields`' containment reference.
`void` `setInOutMode(ParameterMode value)` Sets the value of the '`In Out Mode`' attribute.
`void` `setInputAttributes(InputParameterAttributes value)` Sets the value of the '`Input Attributes`' containment reference.
`void` `setOutputUsageHints(OutputElementAttributes value)` Sets the value of the '`Output Usage Hints`' containment reference.
`void` `unsetInOutMode()` Unsets the value of the '`In Out Mode`' attribute.

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### isInput

    public boolean isInput()

  Indicates whether this parameter is defined to take input value.

  Returns:
    true if this parameter is defined to take input value; false otherwise.
  See Also:
    `getInOutMode()`

### isOutput

    public boolean isOutput()

  Indicates whether this parameter is defined to have output value.

  Returns:
    true if this parameter is defined to have output value; false otherwise.
  See Also:
    `getInOutMode()`

### isScalar

    public boolean isScalar()

  Indicates whether this is a scalar parameter.

  Returns:
    true if this parameter has a scalar data type; false if it is a complex parameter with nested fields.
  See Also:
    `getFields()`

### getInOutMode

    public ParameterMode getInOutMode()

  Returns the value of the 'In Out Mode' attribute. The default value is `"In"`. The literals are from the enumeration `ParameterMode`.

  Returns:
    the value of the 'In Out Mode' attribute.
  See Also:
    `ParameterMode`, `isSetInOutMode()`, `unsetInOutMode()`, `setInOutMode(ParameterMode)`, `DesignPackage.getParameterDefinition_InOutMode()`

### setInOutMode

    public void setInOutMode(ParameterMode value)

  Sets the value of the '`In Out Mode`' attribute.

  Parameters:
    `value` - the new value of the 'In Out Mode' attribute.
  See Also:
    `ParameterMode`, `isSetInOutMode()`, `unsetInOutMode()`, `getInOutMode()`

### unsetInOutMode

    public void unsetInOutMode()

  Unsets the value of the '`In Out Mode`' attribute.

  See Also:
    `isSetInOutMode()`, `getInOutMode()`, `setInOutMode(ParameterMode)`

### isSetInOutMode

    public boolean isSetInOutMode()

  Returns whether the value of the '`In Out Mode`' attribute is set.

  Returns:
    whether the value of the 'In Out Mode' attribute is set.
  See Also:
    `unsetInOutMode()`, `getInOutMode()`, `setInOutMode(ParameterMode)`

### getAttributes

    public DataElementAttributes getAttributes()

  Returns the value of the 'Attributes' containment reference. Attributes applicable to both input and output parameter mode.

  Returns:
    the value of the 'Attributes' containment reference.
  See Also:
    `setAttributes(DataElementAttributes)`, `DesignPackage.getParameterDefinition_Attributes()`

### setAttributes

    public void setAttributes(DataElementAttributes value)

  Sets the value of the '`Attributes`' containment reference.

  Parameters:
    `value` - the new value of the 'Attributes' containment reference.
  See Also:
    `getAttributes()`

### getInputAttributes

    public InputParameterAttributes getInputAttributes()

  Returns the value of the 'Input Attributes' containment reference. Required for input parameter.

  Returns:
    the value of the 'Input Attributes' containment reference.
  See Also:
    `setInputAttributes(InputParameterAttributes)`, `DesignPackage.getParameterDefinition_InputAttributes()`

### setInputAttributes

    public void setInputAttributes(InputParameterAttributes value)

  Sets the value of the '`Input Attributes`' containment reference.

  Parameters:
    `value` - the new value of the 'Input Attributes' containment reference.
  See Also:
    `getInputAttributes()`

### getOutputUsageHints

    public OutputElementAttributes getOutputUsageHints()

  Returns the value of the 'Output Usage Hints' containment reference. Optional for an output parameter.

  Returns:
    the value of the 'Output Usage Hints' containment reference.
  See Also:
    `setOutputUsageHints(OutputElementAttributes)`, `DesignPackage.getParameterDefinition_OutputUsageHints()`

### setOutputUsageHints

    public void setOutputUsageHints(OutputElementAttributes value)

  Sets the value of the '`Output Usage Hints`' containment reference.

  Parameters:
    `value` - the new value of the 'Output Usage Hints' containment reference.
  See Also:
    `getOutputUsageHints()`

### getFields

    public ParameterFields getFields()

  Returns the value of the 'Fields' containment reference. Applicable to complex parameter only.

  Returns:
    the value of the 'Fields' containment reference.
  See Also:
    `setFields(ParameterFields)`, `DesignPackage.getParameterDefinition_Fields()`

### setFields

    public void setFields(ParameterFields value)

  Sets the value of the '`Fields`' containment reference.

  Parameters:
    `value` - the new value of the 'Fields' containment reference.
  See Also:
    `getFields()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.